<?php

namespace DMG\Tiles\Blocks\Inner_Blocks;

/**
 * Class Article
 *
 * Register the article tile
 *
 * @package DMG\Tiles\Blocks\Inner_Blocks
 */
class Article extends Tile {

	/**
	 * Enqueue the block editor assets
	 */
	public function enqueue_block_editor_assets() {

		// Get asset data
		$asset_data = include( DMG_TILES_ROOT . '/build/dmg-article-tile.asset.php' );

		wp_enqueue_script(
			'dmg-article-tile',
			DMG_TILES_URL . '/build/dmg-article-tile.js',
			$asset_data['dependencies'],
			$asset_data['version'],
			true
		);

		wp_enqueue_style(
			'dmg-article-tile',
			DMG_TILES_URL . '/build/dmg-article-tile.css',
			array(),
			$asset_data['version']
		);
	}

	/**
	 * Render callback method for the newsletter tile
	 *
	 * @param array  $attributes The blocks attributes
	 * @param string $content    Data returned from InnerBlocks.Content
	 * @param array  $block      Block information such as context.
	 * @return string The rendered block markup.
	 */
	public function content( $attributes, $content, $block ) {

		if ( empty( $attributes['id'] ) ) {
			return '';
		}

		$post = get_post( $attributes['id'] );
		if ( ! is_a( $post, 'WP_Post' ) ) {
			return '';
		}

		ob_start();
		?>
		<?php echo get_the_post_thumbnail( $post->ID ); ?>
		<h4><?php echo get_the_title( $post->ID ); ?></h4>
		<?php echo get_the_excerpt( $post->ID ); ?>
		<?php
		return ob_get_clean();
	}
}
