/**
 * WordPress dependencies
 */
import { MediaUpload } from "@wordpress/block-editor";

/**
 * Image selector component
 */
const ImageSelector = ( { onSelect, imageURL } ) => {

	return (
		<MediaUpload
			title="Select or Upload Media"
			onSelect={ onSelect }
			render={ ( { open } ) => (
				<>
					{ imageURL &&
						<img
							src={ imageURL }
							onClick={ open }
						/>
					}
					{ ! imageURL &&
						<div
							className="dmg-tile-image-selector__placeholder"
							onClick={ open }
						>
							<span>Select an image</span>
						</div>
					}
				</>
			) }
		/>
	)
}

export default ImageSelector;
